LDAP - When User Group sync is enabled, user wait long time to authenticate / login
Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Performance   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: Yes Found in Releases: 1.20.2

Bugzilla link: 1631005 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6388

  

Description

Description of problem:

Currently, there is a feature called User Group sync, so when enabled, Foreman will bind the external Auth Source and will try to

match the user on User Group already defined on the Sat side. If match, the system will assign automatically the role related and on

the fly / first login, the login page will be according to the roles.

This feature works fine when the account is member of few groups, but when we are talking about a huge number of groups this

happens all the time the login process can spend a long time to conclude.

Version-Release number of selected component (if applicable):

1.20.x

How reproducible:

100%

Steps to Reproduce:

1. Configure the LDAP Auth

2. Create the user on AD

3. Create a bunch of groups on AD like 100

4. Add the user on all groups

5. Login on the Foreman via webUI with the User Group Sync enabled

Actual results:

Spend a long time to conclude the process/check and login.

Expected results:

Be faster then today.

Additional info:

Related issues:

Related to Foreman - Bug #27402: The Foreman "forgets" group members after up... Closed

Related to Foreman - Bug #31165: LDAP usergroup sync makes logins very slow Closed

Associated revisions

Revision 17c4b47e - 04/05/2019 03:11 PM - Ondřej Ezr 

Fixes #25795 - Improves external usergroups sync :racehorse: (#6388)

History

#1 - 01/07/2019 08:09 PM - Ondřej Ezr

- Description updated

#2 - 01/07/2019 08:24 PM - Ondřej Ezr

- Bugzilla link set to 1631005
#3 - 01/10/2019 09:31 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6388 added

#4 - 01/15/2019 02:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#5 - 02/18/2019 11:20 AM - Ondřej Ezr

Upon a disscusion, It have been decided to change the behabiour a bit.

See the pull request.

#6 - 02/18/2019 01:28 PM - Ondřej Ezr

- File [satellite-tech] External ldap usergroups - change proposal.eml added

#7 - 04/05/2019 03:11 PM - Marek Hulán

- Fixed in Releases 1.22.0 added

#8 - 04/05/2019 03:11 PM - Marek Hulán

- Assignee set to Ondřej Ezr

#9 - 04/05/2019 04:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 17c4b47e5924c9b312bc15ac936165cc82360c1f.

#10 - 07/25/2019 01:28 PM - Tomer Brisker

- Related to Bug #27402: The Foreman "forgets" group members after update to 1.22.0 added

#11 - 10/27/2020 12:37 PM - Lukas Zapletal

- Related to Bug #31165: LDAP usergroup sync makes logins very slow added

Files

[satellite-tech] External ldap usergroups - change proposal.eml 8.87 KB 02/18/2019 Ondřej Ezr
